using LiveCharts;
using LiveCharts.Wpf;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ChartValues<double> values = new ChartValues<double>();
            SeriesCollection Series = new SeriesCollection();
            LineSeries lineSeries_avg = new LineSeries
            {
                Values = values,
                StrokeThickness = 5,
                Stroke = new SolidColorBrush(System.Windows.Media.Colors.Black),
                Fill = new SolidColorBrush(System.Windows.Media.Colors.Transparent),
                PointGeometry = null,
            };
            Series.Add(lineSeries_avg);
            Series.Remove(lineSeries_avg);
            if (lineSeries_avg.Values == values)
            {
                Console.WriteLine("一样");
            }
            else {
                Console.WriteLine("不一样");
            }
            foreach (var seriesView in Series)
            {
                if (values == seriesView.Values)
                {
                    Console.WriteLine("一样");
                }
                else
                {
                    Console.WriteLine("不一样");
                }
            }
            FLY.Thick.FilmCasting.UI.UiModule.GiantMixScanGraph2VmUt viewModel = new FLY.Thick.FilmCasting.UI.UiModule.GiantMixScanGraph2VmUt();
        }
    }
}
